#lockscreen {
  --panel-transition-secs: 0.3s;
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  -moz-user-select: none;
}

#screen.active-statusbar > #lockscreen {
  top: 4rem;
  height: calc(100% - 4rem);
}

#lockscreen.unlocked {
  pointer-events: none;
}

/**
 * Because of performance issue, we need to use an individual
 * background element instead of setting the background inside the container.
 *
 * This would be a step toward removing the overhead while a large container
 * contains children and do the opacity animation, which would cost lot on
 * temporary surfaces.
 **/
#lockscreen-background, #lockscreen-masked-background {
  position: absolute;
  top: 0;
  overflow: hidden;
  /* Must match the CSS background rule of #screen in system.css */
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  -moz-user-select: none;
  opacity: 1;
  z-index: 1;
}

#lockscreen-background {
  background-color: #000;
  background-size: cover; /* Possible memory over-consumption with huge images, it should be removed for improving stability*/
  background-position: 50% 50%;
}

#lockscreen-masked-background {
  background-size: 100% 100%;
  transition: background-image 0.3s ease, background-color 0.3s ease;
}

#lockscreen-masked-background.blank {
  background: rgba(0,0,0,0.1);
}

#screen.screenoff > #lockscreen,
#screen.screenoff > #lockscreen * {
  transition: none;
}

#screen.lockscreen-camera > #lockscreen-camera {
  visibility: visible;
}

/* When switching lock-camera off,
 * transition time should be delayed to prevent homescreen appears.
 * (Let lockscreen appears first)
 */
#screen:not(.lockscreen-camera) > #lockscreen-camera {
  transition-delay: 0.3s;
}

#lockscreen-camera {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  visibility: hidden;
}

#lockscreen-camera > iframe {
  width: 100%;
  height: 100%;
  border: none;
}

#lockscreen.no-transition {
  transition: none;
}

#lockscreen-container {
  width: 100%;
  height: 100%;
  /**
   * Workaround bug 823418 by trigger a repaint as soon as .screenoff class
   * is removed, remove me when the bug is fixed.
   */
  transition: opacity 0.1s ease;
  z-index: 0;
}

/**
 * Workaround bug 823418 by trigger a repaint as soon as .screenoff class
 * is removed, remove me when the bug is fixed.
 */
.screenoff #lockscreen-container {
  opacity: 0.99;
}

#lockscreen .lockscreen-panel {
  position: absolute;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  visibility: hidden;
  transition: visibility var(--panel-transition-secs) ease, transform var(--panel-transition-secs) ease;
}

.lockscreen-background::before {
  content: '';
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

/**
 * Because of the individual background element, the slide would appear
 * after the passcode pad got invoked, so we need to hide it here.
 */
[data-panel="passcode"] #notifications-lockscreen-container,

[data-panel="passcode"] #lockscreen-notification-arrow
{
  visibility: hidden;
}

[data-panel="main"] #lockscreen-panel-main,
[data-panel="passcode"] #lockscreen-panel-main,
[data-panel="emergency-call"] #lockscreen-panel-emergency-call {
  visibility: inherit;
}

[data-panel="main"] #lockscreen-alt-camera {
  visibility: hidden;
  position: absolute;
}

[data-panel="passcode"] #lockscreen-alt-camera.lockscreen-icon {
  opacity: 1.0;
}

#lockscreen-header {
  z-index: 9999;
  position: absolute;
  top: 3rem;   /* 3rem = height of status bar */
  left: 0;
  width: 100%;
  -moz-box-sizing: border-box;
  padding: 1.5rem 2.4rem 0;
  color: #fff;
  transition: transform 0.2s ease, opacity 0.2s ease;
  opacity: 1;
}

#lockscreen-header.hidden {
  display: none;
}

#notifications-lockscreen-cmas {
  z-index: 10000;
  position: absolute;
  top: 3rem;   /* 3rem = height of status bar */
  left: 0;
  width: 100%;
  height: 60%;
  -moz-box-sizing: border-box;
  padding: 0rem 0rem 0;
  color: black;
  transition: transform 0.2s ease, opacity 0.2s ease;
  opacity: 1;
  background:#FFF;
  font-size: large;
}

#notifications-lockscreen-cmas.detailed {
  height: 87%;
}

#notifications-lockscreen-cmas img.cmas-type-icon {
  display: block;
  margin: 0 auto;
  padding: 5rem 0;
}

#notifications-lockscreen-cmas p {
  text-align: center;
}

#lockscreen-cmas-help {
  width: 100%;
  bottom: 1rem;
  text-align: center;
  color: gray;
  position: absolute;
}

#notifications-lockscreen-cmas h1.cmas-title {
  background:#b80101 !important;
  color: white !important;
  font-style: italic;
  font-size: larger;
  font-weight: initial;
  padding: 0 1rem;
  margin: 0;
}

[data-panel="main"] #lockscreen-header {
  transform: translateY(0);
}

[data-panel="camera"] #lockscreen-header,
[data-panel="emergency-call"] #lockscreen-header {
  transform: translateY(0);
  transition: none;
}

#lockscreen-clock-prefix {
  text-align: center;
  font-size: 1.5rem;
  color: var(--color-gs10);
  margin-top: 1.2rem;
  text-shadow: 0 0.1rem 0.3rem 0 rgba(0, 0, 0, 0.3);
}

#lockscreen-clock-time {
  text-align: center;
  line-height: 0.9;
  margin-top: 0.6rem;
  margin-bottom: 0;
  -moz-margin-start: -0.4rem;
  -moz-margin-end: 0;
  font-weight: 200;
  font-size: 8rem;
  text-shadow: 0 0.1rem 0.3rem 0 rgba(0, 0, 0, 0.3);
}

#lockscreen-clock-time-hour {
  font-weight: 400;
  margin-right: -1rem;
}

#lockscreen-clock-time-minute {
  margin-left: -1rem;
  color: var(--color-gs10);
}

#lockscreen-date {
  text-align: center;
  font-weight: 300;
  font-size: 1.4rem;
}

#lockscreen-clock-time, #lockscreen-date {
  color: #fff;
}

:-moz-any(.touched, #screen:not(.locked), #screen.attention, #lockscreen:not([data-panel="main"])) {
  display: none;
  animation: none;
}

#lockscreen-panel-emergency-call {
  /* > camera, unlock icons > canvas */
  z-index: 32;
}

#lockscreen-panel-emergency-call {
  transform: translateX(100%);
}

#lockscreen-panel-emergency-call::before {
  content: none;
}

#lockscreen-panel-emergency-call > iframe {
  width: 100%;
  height: 100%;
  border: none;
}

[data-panel="emergency-call"] #lockscreen-panel-emergency-call {
  transform: translateX(0);
}

#lockscreen-passcode-container {
  /* > camera, unlock icons > canvas */
  z-index: 9999;
  height: 11rem;
  width: 100%;
  position: absolute;
  bottom: 3.2rem;
}

#lockscreen-passcode-notification-container {
  text-align: center;
  width: 100%;
  height: 3rem;
  position: relative;
}

.passcode-notification {
  display: none;
  font-size: 1.6rem;
  width: 100%;
  height: auto;
  bottom: 0;
  position: absolute;
}

#lockscreen-passcode-container.error .passcode-notification[data-type="notify_to_check_code"] {
  display: block;
  color: red;
}

#lockscreen-passcode-container:not(.error) .passcode-notification[data-type="notify_to_enter_code"] {
  display: block;
}

#lockscreen-passcode-code {
  position: absolute;
  bottom: 2rem;
  height: 7rem;
  width: 100%;
  margin: 0 0.6rem;
  padding: 0 1rem;
  -moz-box-sizing: border-box;
  z-index: 1;
}

#lockscreen-passcode-code > span {
  -moz-box-sizing: border-box;
  display: block;
  float: left;
  width: calc(23% - 0.8rem);
  margin: 1.7rem 0.5rem 0 0.5rem;
  height: calc(96% - 2.5rem);
  text-align: center;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 0.2rem;
  position: relative;
}

#lockscreen-passcode-code.error > span {
  border: 0.1rem #B70404 solid;
}

#lockscreen-passcode-code.error > span[data-dot]::before {
  background-color: #B70404;
}

#lockscreen-passcode-code > span[data-dot]::before {
  content: '';
  display: block;
  position: absolute;
  width: 1.2rem;
  height: 1.2rem;
  background-color: #3e3b39;
  border-radius: 0.75rem;
  top: 50%;
  left: 50%;
  -moz-margin-start: -0.75rem;
  margin-top: -0.75rem;
}

#remoteLockscreen{
  background-color: #333;
  position: absolute;
  height: calc(100%-3rem);
  width: 100%;
  height:100%;
  margin: 0;
  z-index:10;
}

#remoteLockscreen h1{
  text-align: center;
  color:red;
  margin-top:5rem;
}

#remoteLockscreen p{
  margin:0;
  color:white;
  padding:0 1.5rem;
  font-size:1.7rem;
}
